Bio::Phylo::Identifiable(3)

NAME
Bio::Phylo::Identifiable - Objects with unique identifiers

SYNOPSIS
 # Actually, you would almost never use this module directly. This is
 # the base class for other modules.
 use Bio::Phylo::Identifiable;

 my $obj = Bio::Phylo::Identifiable->new;
 print $obj->get_id;

DESCRIPTION
This is the base class for objects in the Bio::Phylo package that need unique identifiers.

METHODS

  CONSTRUCTOR

new()
     Type    : Constructor
     Title   : new
     Usage   : my $phylo = Bio::Phylo::Identifiable->new;
     Function: Instantiates Bio::Phylo::Identifiable object
     Returns : a Bio::Phylo::Identifiable object
     Args    : NONE

get_id()
    Gets invocant's UID.

     Type    : Accessor
     Title   : get_id
     Usage   : my $id = $obj->get_id;
     Function: Returns the object's unique ID
     Returns : INT
     Args    : None

is_equal()
    Compares invocant's UID with argument's UID

     Type    : Test
     Title   : is_equal
     Usage   : do_something() if $obj->is_equal($other);
     Function: Compares objects by UID
     Returns : BOOLEAN
     Args    : Another object to compare with

SEE ALSO
There is a mailing list at <https://groups.google.com/forum/#!forum/bio-phylo> for any user or developer questions and discussions.

Also see the manual: Bio::Phylo::Manual and <http://rutgervos.blogspot.com>

CITATION
If you use Bio::Phylo in published research, please cite it:

Rutger A Vos, Jason Caravas, Klaas Hartmann, Mark A Jensen and Chase Miller, 2011. Bio::Phylo - phyloinformatic analysis using Perl. BMC Bioinformatics 12:63. <http://dx.doi.org/10.1186/1471-2105-12-63>